%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:       nodejs-fs-extra
Version:    0.26.5
Release:    1%{?dist}
Summary:    A drop-in replacement for Node's native fs module with a few extra methods
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/jprichardson/node-fs-extra
Source0:    http://registry.npmjs.org/fs-extra/-/fs-extra-%{version}.tgz
# Source1 is generated by running the following command from a git checkout:
# git archive --format=tar 0.26.5 lib/copy/__tests__/ lib/output/__tests__/ lib/mkdirs/__tests__ lib/__tests__ lib/copy-sync/__tests__ lib/streams/__tests__ lib/empty/__tests__ lib/util/__tests__ lib/remove/__tests__ lib/ensure/__tests__ lib/walk/__tests__ lib/move/__tests__ lib/json/__tests__ | bzip2 > tests-%%{version}.tar.bz2
Source1:    tests-%{version}.tar.bz2

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

BuildRequires:  npm(jsonfile)
BuildRequires:  npm(klaw)
BuildRequires:  npm(mkdirp)
BuildRequires:  npm(ncp)
BuildRequires:  npm(read-dir-files)
BuildRequires:  npm(rimraf)
BuildRequires:  npm(secure-random)
BuildRequires:  npm(semver)
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
%{summary}.


%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package
chmod 644 package.json

%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/fs-extra
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/fs-extra

%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%__nodejs -e 'require("./")'
%if 0%{?enable_tests}
mkdir tmp
export TMPDIR=$PWD/tmp
find ./lib/**/__tests__ -name *.test.js | xargs mocha
%endif


%files
%doc CHANGELOG.md LICENSE README.md
%{nodejs_sitelib}/fs-extra


%changelog
* Sat Feb 20 2016 Jared Smith <jsmith@fedoraproject.org> - 0.26.5-1
- Update to upstream 0.26.5 release

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Jan 17 2016 Tom Hughes <tom@compton.nu> - 0.8.1-7
- Update npm(rimraf) dependency

* Fri Jan  1 2016 Tom Hughes <tom@compton.nu> - 0.8.1-6
- Update npm(mkdirp) dependency

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Apr 26 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.8.1-3
- fix version of npm(ncp) dependency

* Wed Apr 23 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.8.1-2
- fix version of npm(ncp) dependency

* Sat Apr 19 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.8.1-1
- initial package
